Package twisted :: Package conch :: Package ui :: Module ansi :: Class ColorText

[show private | hide private]
[frames | no frames]

## Class ColorText

Represents an element of text along with the texts colors and additional attributes.

Method Summary
| `__init__(self, text, fg, bg, display, bold, underline, flash, reverse)`

Class Variable Summary
`int` | `BLACK`
`int` | `BLUE`
`tuple` | `BOLD_COLORS`
`tuple` | `COLOR_NAMES`
`tuple` | `COLORS`
`int` | `CYAN`
`int` | `GREEN`
`int` | `MAGENTA`
`int` | `RED`
`int` | `WHITE`
`string` | `x`
`int` | `YELLOW`

Class Variable Details

### BLACK

  Type:
    `int`
  Value:

        0

### BLUE

  Type:
    `int`
  Value:

        4

### BOLD_COLORS

  Type:
    `tuple`
  Value:

        ('B', 'R', 'G', 'Y', 'L', 'M', 'C', 'W')

### COLOR_NAMES

  Type:
    `tuple`
  Value:

        ('Black', 'Red', 'Green', 'Yellow', 'Blue', 'Magenta', 'Cyan', 'White'\
        )

### COLORS

  Type:
    `tuple`
  Value:

        ('b', 'r', 'g', 'y', 'l', 'm', 'c', 'w')

### CYAN

  Type:
    `int`
  Value:

        6

### GREEN

  Type:
    `int`
  Value:

        2

### MAGENTA

  Type:
    `int`
  Value:

        5

### RED

  Type:
    `int`
  Value:

        1

### WHITE

  Type:
    `int`
  Value:

        7

### x

  Type:
    `string`
  Value:

        'w'

### YELLOW

  Type:
    `int`
  Value:

        3

Generated by Epydoc 1.1 on Sat Feb 15 21:17:49 2003 | http://epydoc.sf.net